%global vnum 1.6
%global rcnum rc1

Name: jq		
Version:	%{vnum}%{rcnum}
Release:	1%{?dist}
Summary:	Command-line JSON processor

Group:		Applications/Text
License:	MIT
URL:		http://stedolan.github.io/jq/
Source0:	https://github.com/stedolan/jq/releases/download/jq-%{vnum}/jq-%{version}.tar.gz

%if %{rcnum}
BuildRequires: automake >= 1.14, flex, bison > 3.0
%endif

%description
jq is a lightweight and flexible command-line JSON processor.


%prep
%if %{rcnum}

%setup -q -c -n %{name}-%{version} -T

git clone -b jq-1.6rc1 https://github.com/stedolan/jq.git ./ >& /dev/null
git submodule update --init >& /dev/null

autoreconf -fi
%else
%setup -q -n %{name}-%{version}
%endif


%build
%configure \
	--with-oniguruma=builtin \
	--disable-maintainer-mode

make %{?_smp_mflags} LDFLAGS=-all-static


%install
make install DESTDIR=%{buildroot}


%files
%defattr(0755,root, root, -)
%{_bindir}/*

%defattr(0644,root, root, -)
%{_mandir}/man1/*.1*

%changelog
* Sun May 13 2018 JoungKyun.Kim <hostmaster@oops.org> 1.6rc1-1%{?dist}
- first packageed
